# nng_stream_dialer(5) Manual Page

## NAME

nng_stream_dialer - byte stream dialer

## SYNOPSIS

    #include <nng/nng.h>

    typedef struct nng_stream_dialer nng_stream_dialer;

## DESCRIPTION

An `nng_stream_dialer` is a handle to a dialer for byte streams, and is responsible for creating `nng_stream` objects (corresponding to connected byte streams) by connecting to remote peers.

| The `nng_stream_dialer` object is used for low-level byte stream connections, and should not be confused with a high-level `nng_dialer` object.

## SEE ALSO

nng_stream_dialer_alloc(3str), nng_stream_dialer_close(3str), nng_stream_dialer_dial(3str), nng_stream_dialer_free(3str), nng_stream(5), nng_stream_listener(5)